View Issue Details

IDProjectCategoryView StatusLast Update
0006960Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006960: exit codes of exchange services do not follow the LSB spec
DescriptionSee https://www.freedesktop.org/software/systemd/man/systemd.exec.html

Some status codes returned by exchange services (e.g. status "5" by wirewatch) get interpreted and displayed by systemd in particular ways, which might lead sysadmins on a wrong path when diagnosing the issue.

For example, when wirewatch is not happy with the configuration, the return status is misleadingly shown as "Main process exited, code=exited, status=5/NOTINSTALLED".
TagsNo tags attached.

Activities

Christian Grothoff

2021-07-30 00:00

manager   ~0018029

Fixed in 1b419ada..0ef7c0a0

Christian Grothoff

2021-09-02 18:14

manager   ~0018224

Fix committed to master branch.

Related Changesets

exchange: master 0ef7c0a0

2021-07-29 23:56:46

Christian Grothoff

Details Diff
fix 0006960 Affected Issues
0006960
mod - src/auditor/Makefile.am Diff File
mod - src/auditor/taler-auditor-dbinit.c Diff File
mod - src/auditor/taler-auditor-exchange.c Diff File
mod - src/auditor/taler-auditor-httpd.c Diff File
mod - src/auditor/taler-auditor-sync.c Diff File
mod - src/exchange-tools/taler-auditor-offline.c Diff File
mod - src/exchange-tools/taler-exchange-dbinit.c Diff File
mod - src/exchange-tools/taler-exchange-offline.c Diff File
mod - src/exchange/taler-exchange-aggregator.c Diff File
mod - src/exchange/taler-exchange-closer.c Diff File
mod - src/exchange/taler-exchange-httpd.c Diff File
mod - src/exchange/taler-exchange-transfer.c Diff File
mod - src/exchange/taler-exchange-wirewatch.c Diff File
mod - src/include/platform.h Diff File
mod - src/json/Makefile.am Diff File
mod - src/mhd/Makefile.am Diff File
mod - src/pq/Makefile.am Diff File
mod - src/sq/Makefile.am Diff File
mod - src/util/Makefile.am Diff File

Issue History

Date Modified Username Field Change
2021-07-27 17:58 Florian Dold New Issue
2021-07-27 17:58 Florian Dold Status new => assigned
2021-07-27 17:58 Florian Dold Assigned To => Christian Grothoff
2021-07-27 18:00 Florian Dold Description Updated
2021-07-30 00:00 Christian Grothoff Status assigned => resolved
2021-07-30 00:00 Christian Grothoff Resolution open => fixed
2021-07-30 00:00 Christian Grothoff Fixed in Version => 0.9
2021-07-30 00:00 Christian Grothoff Note Added: 0018029
2021-07-30 00:00 Christian Grothoff Product Version => git (master)
2021-07-30 00:00 Christian Grothoff Target Version => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:22 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 0ef7c0a0
2021-09-02 18:14 Christian Grothoff Note Added: 0018224